package com.vcarecity.publish.mapper;

import com.vcarecity.publish.entity.AgencyEntity;
import com.vcarecity.publish.entity.UnitAgencyMergeEntity;
import org.apache.ibatis.annotations.Mapper;
import org.apache.ibatis.annotations.Param;

import java.util.List;

/**
 * @author VcKerry on 12/17/19
 */

@Mapper
public interface AgencyMapper {


    /**
     * find update
     *
     * @param fromDate
     * @param toDate
     * @return
     */
    List<AgencyEntity> findUpdateList(@Param("fromDate") String fromDate, @Param("toDate") String toDate);


    /**
     * find update
     *
     * @param fromDate
     * @param toDate
     * @return
     */
    List<UnitAgencyMergeEntity> findUpdateUaList(@Param("fromDate") String fromDate, @Param("toDate") String toDate);


    /**
     * 获取ID对应的AgencyName
     *
     * @param agencyPathIds
     * @return
     */
    List<AgencyEntity> findAgencyNameByAgencyIdList(@Param("agencyPathIds") List<Integer> agencyPathIds);
}
