package com.vcarecity.publish.mapper;

import com.vcarecity.publish.entity.UnitAgencyMergeEntity;
import com.vcarecity.publish.util.DateUtil;
import org.junit.jupiter.api.Test;
import org.springframework.beans.factory.annotation.Autowired;
import org.springframework.boot.test.context.SpringBootTest;

import java.time.LocalDateTime;
import java.util.List;

@SpringBootTest
class UnitMapperTest {

    @Autowired
    private UnitMapper unitMapper;

    @Test
    void findUpdateList() {
        String from = "2016-01-08 15:13:47";
        String to = "2017-01-08 15:13:47";
        unitMapper.findUpdateList(from, to);
    }

    @Test
    public void findUpdateUaList() {

        LocalDateTime now = LocalDateTime.now();
        LocalDateTime last = now.minusHours(1L);

        String from = last.format(DateUtil.DATE_TIME_FORMATTER);
        String to = now.format(DateUtil.DATE_TIME_FORMATTER);
        List<UnitAgencyMergeEntity> updateUaList = unitMapper.findUpdateUaList(from, to);

        System.out.println(updateUaList.size());

        for (UnitAgencyMergeEntity unitAgencyMergeEntity : updateUaList) {
            // System.out.println(unitAgencyMergeEntity);
        }
    }
}