package com.vcarecity.test.module;

import com.fasterxml.jackson.databind.ObjectMapper;
import com.google.inject.AbstractModule;
import com.vcarecity.test.properties.ConfigProperties;

/**
 * @author Kerry on 19/12/09
 */

public class PropertiesModule extends AbstractModule {
    private final ConfigProperties configProperties;

    public PropertiesModule(ConfigProperties configProperties) {
        this.configProperties = configProperties;
    }

    @Override
    protected void configure() {
        bind(ConfigProperties.class).toInstance(configProperties);
        bind(ObjectMapper.class).toProvider(this::objectMapper);
    }


    protected ObjectMapper objectMapper() {
        ObjectMapper objectMapper = new ObjectMapper();
        return objectMapper;
    }
}
