package com.vcarecity.test.service.oracle;

import com.google.inject.Inject;
import com.vcarecity.test.entity.AgencyEntity;
import com.vcarecity.test.repository.AgencyRepository;
import com.vcarecity.test.service.AgencyService;

import java.sql.SQLException;
import java.util.List;
import java.util.stream.Collectors;

/**
 * @author Kerry on 19/12/09
 */

public class AgencyServiceImpl implements AgencyService {
    private final AgencyRepository agencyRepository;

    @Inject
    public AgencyServiceImpl(AgencyRepository agencyRepository) {
        this.agencyRepository = agencyRepository;
    }


    @Override
    public List<String> getAgencyPathDetail(List<Integer> agencyPath) {

        //TODO 有待优化


        List<AgencyEntity> byAgencyIdList;
        try {
            byAgencyIdList = agencyRepository.findByAgencyIdList(agencyPath);
        } catch (SQLException e) {
            e.printStackTrace();
            return null;
        }

        return byAgencyIdList.stream().map(AgencyEntity::getAgencyName).collect(Collectors.toList());
    }


}
