package com.vcarecity.test.service.oracle;

import com.vcarecity.test.HighClientApp;
import com.vcarecity.test.service.ObtainDataService;
import com.zaxxer.hikari.HikariDataSource;
import org.junit.jupiter.api.AfterAll;
import org.junit.jupiter.api.Assertions;
import org.junit.jupiter.api.BeforeEach;
import org.junit.jupiter.api.Test;

import java.sql.SQLException;

class OracleObtainDataServiceImplTest {

    private ObtainDataService obtainDataService;

    @BeforeEach
    void setUp() {
        HighClientApp.run(null);
        obtainDataService = HighClientApp.injector.getInstance(ObtainDataService.class);
    }

    @Test
    void queryDataByPage() throws SQLException {
        Assertions.assertNotNull(obtainDataService);
        System.out.println(obtainDataService.getClass());


    }


    @AfterAll
    public static void afterAll() {
        final HikariDataSource instance = HighClientApp.injector.getInstance(HikariDataSource.class);
        instance.close();
    }
}