package com.vcarecity.publish.elastic.service;

import java.util.List;

/**
 * @author kerryzhang on 2019/12/17
 */

public interface ElasticIndexService {

    /**
     * index 是否存在
     *
     * @param index
     * @return
     */
    boolean indexExist(String index);

    /**
     * create index
     *
     * @param indices
     */
    void createIndex(String... indices);

    /**
     * delete index
     *
     * @param indices
     */
    void deleteIndex(String... indices);


    /**
     * list index
     *
     * @return
     */
    List<String> indices();

}
