package com.vcarecity.publish.elastic.service;

import com.vcarecity.publish.entity.UnitAgencyMergeEntity;

import java.io.IOException;
import java.util.List;

/**
 * @author Kerry on 12/17/19
 */

public interface ElasticUpdateService {

    void updateTest() throws IOException;


    void handlerDataChange(String key, List<UnitAgencyMergeEntity> data) throws IOException;

    /**
     * 添加数据
     *
     * @param data
     * @throws IOException
     */
    void addElasticData(List<UnitAgencyMergeEntity> data) throws IOException;

    void deleteByQuery(String key, List<Long> ids) throws IOException;

    /**
     * update unit/agency... info,return incr data list
     *
     * @param key
     * @param data
     * @return
     * @throws IOException
     */
    List<UnitAgencyMergeEntity> updateDataByQuery(String key, List<UnitAgencyMergeEntity> data) throws IOException;


}
