package com.vcarecity.publish.mapper;

import com.vcarecity.publish.entity.UnitAgencyMergeEntity;
import com.vcarecity.publish.entity.UnitEntity;
import org.apache.ibatis.annotations.Mapper;
import org.apache.ibatis.annotations.Param;

import java.util.List;

/**
 * @author VcKerry on 12/17/19
 */

@Mapper
public interface UnitMapper {


    /**
     * find update
     *
     * @param fromDate
     * @param toDate
     * @return
     */
    List<UnitEntity> findUpdateList(@Param("fromDate") String fromDate, @Param("toDate") String toDate);


    /**
     * find update
     *
     * @param fromDate
     * @param toDate
     * @return
     */
    List<UnitAgencyMergeEntity> findUpdateUaList(@Param("fromDate") String fromDate, @Param("toDate") String toDate);


    /**
     * find all by page
     *
     * @param page
     * @param size
     * @return
     */
    List<UnitAgencyMergeEntity> findAllWithPage(@Param("page") int page, @Param("size") int size);


}
