package com.vcarecity.publish.sql.service.impl;

import com.vcarecity.publish.entity.AgencyEntity;
import com.vcarecity.publish.mapper.AgencyMapper;
import com.vcarecity.publish.sql.service.AgencyService;
import org.springframework.stereotype.Service;

import java.util.List;
import java.util.stream.Collectors;

/**
 * @author kerryzhang on 2019/12/17
 */

@Service
public class AgencyServiceImpl implements AgencyService {

    private final AgencyMapper agencyMapper;

    public AgencyServiceImpl(AgencyMapper agencyMapper) {
        this.agencyMapper = agencyMapper;
    }

    @Override
    public List<String> getAgencyPathDetail(List<Integer> agencyPath) {

        //TODO 可以优化的空间
        List<AgencyEntity> agencyNameByAgencyIdList = agencyMapper.findAgencyNameByAgencyIdList(agencyPath);
        return agencyNameByAgencyIdList.stream().map(AgencyEntity::getAgencyName).collect(Collectors.toList());
    }
}
